Loading...
Searching...
No Matches
flush.c File Reference

Segment flush routines. More...

`#include "local_proto.h"`
Include dependency graph for flush.c:

Go to the source code of this file.

## Functions

int | Segment_flush (SEGMENT *SEG)
| Flush pending updates to disk.

## Detailed Description

Segment flush routines.

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  GRASS Development Team

Date
  2005-2009

Definition in file flush.c.

## Function Documentation

## Segment_flush()

int Segment_flush | ( | SEGMENT * | SEG | ) |

Flush pending updates to disk.

Forces all pending updates generated by Segment_put() to be written to the segment file seg. Must be called after the final Segment_put() to force all pending updates to disk. Must also be called before the first call to Segment_get_row.

Parameters

  [in] | SEG | segment

Returns
  always returns 0

Definition at line 29 of file flush.c.

References seg_pageout().